<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * Tasks of rwth_sd_sync.
 *
 * @package    rwth_sd_sync
 * @copyright  2018, Stefan Selzer
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
namespace local_rwth_sd_sync\task;

defined('MOODLE_INTERNAL') || die();

class sync_adhoc extends \core\task\adhoc_task {
    
    public function execute() {
        
        //$trace = new null_progress_trace();
        $trace = new \text_progress_trace();
        
        $syncer = new \local_rwth_sd_sync\sdapi();
        $syncer->sync_courses($trace);
        $syncer->sync_groups($trace);
        $syncer->sync_group_participants($trace);
        $syncer->sync_appointments($trace);
    }
}